# Agera-cli 移动端项目模版

版本: 2019-6-1

## 依赖库

```
    "axios": "^0.18.0", //网络请求
    "lodash": "^4.17.11", //工具类
    "react": "16.8.3",    // RN  支持react hooks
    "react-native": "0.59.5", // 新版RN
    "react-native-elements": "^1.1.0", //标准基础组建库
    "react-native-gesture-handler": "^1.1.0", //android 手势回退
    "react-native-update-mutlirn-hg": "^3.1.1",  // 热更新
    "react-native-vector-icons": "^6.4.2",  // 矢量icon
    "react-navigation": "^3.9.1",  // 新版路由导航
    "react-navigation-redux-helpers": "^3.0.2", //路由 redux支持
    "react-redux": "^7.0.3", // redux
    "redux": "^4.0.1",    // redux
    "redux-persist": "^5.10.0",  // redux 持久化（asyncStore）
    "remote-redux-devtools": "^0.5.16"  // redux debug工具
    "eslint": "^5.16.0",  //语法检查
```



## 初始化

使用 agera-cli buildApp 初始化项目后，
安装依赖

```
yarn install
```


## 运行项目

### iOS

xcode打开ios目录下 .xcodeproj

### Android

Android studio打开android目录下 build.gradle


## 页面简述

首页可点击tab切换，分为框架、原生、JS。

### 框架

框架使用示例：

路由导航
主题切换

### 原生

原生组件使用示例：

拍照、相册
上传
百度ocr
百度地图
微信分享
长列表
图片缓存
启动页
webview

### JS

JS组件使用示例：
按钮
单选
多选
弹框
选择器


持续更新中...

## License
*MIT*


